Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 38943 - Need to restart to see result of check/uncheck "show only subscribe folders" functionality from IMAP Server Advance Preference
: Need to restart to see result of check/uncheck "show only subscribe folders" ...
Status: NEW
: helpwanted
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: Trunk
: x86 All
: P3 normal with 7 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
Depends on:
Blocks: 201332
  Show dependency treegraph
Reported: 2000-05-11 11:29 PDT by Karen Huang
Modified: 2014-07-15 12:57 PDT (History)
9 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Karen Huang 2000-05-11 11:29:20 PDT
Used 05-10-12-M16 commercial build

The Server advance preference UI is available, we should implement check/uncheck 
"show only subscribe folders" functionality from IMAP Server Advance Preference

1) Login to an IMAP mail account
2) From the Account setup, select the server setting & click advanced button to 
bring up the server advanced dialog
3) Actual results: Check or uncheck the "show only subscribe folders" doesn't 
make any change.

Expected results: Check or uncheck "show only subscribe folders" functionality 
should reflect the change from IMAP Server Advance Preference

Addtional Info: Mozilla seems to be operating in a
"subscribed" mode only. If not using subscription we should list all folders.
Comment 1 Karen Huang 2000-05-11 11:45:52 PDT
I mean:

Check or uncheck "show only subscribe folders" functionality from IMAP Server 
Advance Preference should reflect the change on the folder pane.
Comment 2 Karen Huang 2000-05-11 11:52:23 PDT
I am thinking this should be a feature bug.
Comment 3 jefft 2000-06-09 13:07:02 PDT
This will be an easy fix once I fixed bug 39262.
Comment 4 kmurray1115 2000-07-18 19:43:01 PDT
bug 39262 is fixed, is this one essential for ship? Looks like "correctness" 
(nsbeta3 keyword)to me.
Comment 5 lchiang 2000-07-18 19:53:21 PDT
There has to be some fix made here.  Either make the checkbox work or remove the 
checkbox / text from preferences.  
Comment 6 kmurray1115 2000-07-19 12:03:56 PDT
Nominating and adding Correctness keyword.
Comment 7 lchiang 2000-08-03 11:27:39 PDT
+ per mail triage
Remove the UI for this.
Comment 8 David :Bienvenu 2000-08-07 18:49:03 PDT
I'll try.
Comment 9 David :Bienvenu 2000-08-10 07:59:09 PDT
I think I'll just make it work, since the backend now supports it. Don't know
why removing the UI is better than making it work, since they should be the same
amount of work.
Comment 10 David :Bienvenu 2000-08-10 08:35:48 PDT
This *is* implemented, and works fine, as long as you shutdown and restart. The 
remaining work is to make it update the folder view with either all folders or 
just the subscribed folders, depending on the user's choice. I'll look at that, 
but I think we can ship with it as is.
Comment 11 lchiang 2000-08-10 13:19:27 PDT
I think the current behavior you describe is fine, David.  If necessary, we can 
release note that the user has to restart.  I'll remove nsbeta3+ for 
consideration of a -.
Comment 12 scottputterman 2000-08-11 14:20:24 PDT
mail triage marking nsbeta3-.  current behavior is fine.
Comment 13 David :Bienvenu 2000-09-05 15:12:17 PDT
changing summary to reflect remaining bug.
Comment 14 scottputterman 2000-10-19 11:54:33 PDT
removing the mail1 keyword
Comment 15 scottputterman 2000-10-19 11:58:17 PDT
Removing the mail1 keyword.
Comment 16 David :Bienvenu 2000-11-16 09:21:39 PST
if this is easy, we should fix it.
Comment 17 scottputterman 2000-12-15 15:29:38 PST
changing milestone to unknown.  It will get changed back when we figure out what
milestone to put this bug in.
Comment 18 scottputterman 2000-12-17 20:46:34 PST
marking nsbeta1-.  This will not affect many users.
Comment 19 Axxackall 2004-01-16 13:54:55 PST
Is there any chance the bug will be fixed in Mozilla-1.7 ?
Comment 20 David :Bienvenu 2008-06-24 10:28:42 PDT
Not planning on working on this - it's not a commonly used feature and the work-around is to restart. The fix would probably be to detect when the user changes this pref and clear the sub-folder list for the root folder of the server, and clear the havediscovered folders flag, and force a rediscovery operation.

Note You need to log in before you can comment on or make changes to this bug.